import React from 'react';
import {YIndicatorCard} from './indicator/indicatorCard';
import {YIndicatorCardProps} from './indicator/indicatorCard.interface';
import {EntryCard} from './entry';
import {EntryCardProps} from './entry/entry.interface';

export class YCard extends React.Component {
  static Indicator(props: YIndicatorCardProps) {
    return <YIndicatorCard {...props} />
  }

  static EntryCard(props: EntryCardProps) {
    return <EntryCard {...props} />
  }

  render() {
    return (
      <>
        {this.props.children}
      </>
    )
  }
}